> ## Documentation Index
> Fetch the complete documentation index at: https://api-documentation.kare-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Equipments

> API changes for the Equipments module.

<Update label="2026-09-07">
  **5 API change(s) - ⚠️ includes 5 breaking change(s)**

  **`GET /rs/equipments/v1/`**

  * for the `query` request parameter `whereITIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereInstalledBy`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereUnitIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`

  **`GET /rs/equipments/v1/{id}`**

  * for the `query` request parameter `whereITIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereUnitIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
</Update>

<Update label="2026-09-01 (#727)">
  **20 API change(s)**

  **`GET /rs/equipments/v1/`**

  * added the enum value `created-by` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/createdBy` to the response with the `200` status
  * added the required property `data/items/counts/anomaliesInProgress` to the response with the `200` status
  * added the required property `data/items/counts/anomaliesToProcess` to the response with the `200` status
  * added the required property `data/items/counts/compliancesAtRisk` to the response with the `200` status
  * added the required property `data/items/counts/compliancesNotStarted` to the response with the `200` status
  * added the required property `data/items/counts/compliancesOnTime` to the response with the `200` status
  * added the required property `data/items/counts/compliancesOverdue` to the response with the `200` status
  * added the required property `data/items/counts/interventions` to the response with the `200` status
  * added the required property `data/items/counts/responsibilities` to the response with the `200` status

  **`GET /rs/equipments/v1/{id}`**

  * added the enum value `created-by` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `createdBy` to the response with the `200` status
  * added the required property `counts/anomaliesInProgress` to the response with the `200` status
  * added the required property `counts/anomaliesToProcess` to the response with the `200` status
  * added the required property `counts/compliancesAtRisk` to the response with the `200` status
  * added the required property `counts/compliancesNotStarted` to the response with the `200` status
  * added the required property `counts/compliancesOnTime` to the response with the `200` status
  * added the required property `counts/compliancesOverdue` to the response with the `200` status
  * added the required property `counts/interventions` to the response with the `200` status
  * added the required property `counts/responsibilities` to the response with the `200` status
</Update>

<Update label="2026-09-01">
  **10 API change(s)**

  **`GET /rs/equipments/v1/`**

  * added the enum value `qrcodes` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/qrcodes` to the response with the `200` status
  * added the required property `data/items/counts/qrcodes` to the response with the `200` status
  * added the required property `data/items/counts/tickets` to the response with the `200` status

  **`POST /rs/equipments/v1/batch-delete`**

  * endpoint added

  **`GET /rs/equipments/v1/{id}`**

  * added the enum value `qrcodes` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `qrcodes` to the response with the `200` status
  * added the required property `counts/qrcodes` to the response with the `200` status
  * added the required property `counts/tickets` to the response with the `200` status

  **`DELETE /rs/equipments/v1/{id}/qrcode`**

  * added the new optional `query` request parameter `qrcodeId`
</Update>

<Update label="2026-08-28">
  **4 API change(s) - ⚠️ includes 2 breaking change(s)**

  **`POST /rs/equipments/v1/{id}/archive`**

  * api path removed without deprecation

  **`POST /rs/equipments/v1/{id}/unarchive`**

  * api path removed without deprecation

  **`POST /rs/equipments/v1/batch-archive`**

  * endpoint added

  **`POST /rs/equipments/v1/batch-unarchive`**

  * endpoint added
</Update>

<Update label="2026-08-26">
  **1 API change(s)**

  **`GET /rs/equipments/v1/`**

  * added the new optional `query` request parameter `countOnly`
</Update>

<Update label="2026-08-04">
  **5 API change(s)**

  **`GET /rs/equipments/v1/`**

  * added the new optional `query` request parameter `whereImResponsible`
  * added the enum value `responsibles` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/responsibles` to the response with the `200` status

  **`GET /rs/equipments/v1/{id}`**

  * added the enum value `responsibles` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `responsibles` to the response with the `200` status
</Update>

<Update label="2026-07-23">
  **5 API change(s) — ⚠️ includes 4 breaking change(s)**

  **`GET /rs/equipments/v1/`**

  * removed the required property `data/items/updatableFields/position` from the response with the `200` status
  * added the new optional `query` request parameter `whereCanBePositionedInPlan`

  **`GET /rs/equipments/v1/{id}`**

  * removed the required property `updatableFields/position` from the response with the `200` status

  **`POST /rs/equipments/v1/`**

  * removed the request property `position`

  **`PATCH /rs/equipments/v1/{id}`**

  * removed the request property `position`
</Update>

<Update label="2026-07-17">
  **6 API change(s) — ⚠️ includes 2 breaking change(s)**

  **`GET /rs/equipments/v1/`**

  * deleted the `query` request parameter `whereTechnicalInstallation`
  * deleted the `query` request parameter `whereUnit`
  * added the new optional `query` request parameter `whereITIds`
  * added the new optional `query` request parameter `whereUnitIds`

  **`GET /rs/equipments/v1/{id}`**

  * added the new optional `query` request parameter `whereITIds`
  * added the new optional `query` request parameter `whereUnitIds`
</Update>

<Update label="2026-07-16">
  **9 API change(s)**

  **`GET /rs/equipments/v1/`**

  * endpoint added

  **`POST /rs/equipments/v1/`**

  * endpoint added

  **`DELETE /rs/equipments/v1/{id}`**

  * endpoint added

  **`GET /rs/equipments/v1/{id}`**

  * endpoint added

  **`PATCH /rs/equipments/v1/{id}`**

  * endpoint added

  **`POST /rs/equipments/v1/{id}/archive`**

  * endpoint added

  **`DELETE /rs/equipments/v1/{id}/qrcode`**

  * endpoint added

  **`POST /rs/equipments/v1/{id}/qrcode`**

  * endpoint added

  **`POST /rs/equipments/v1/{id}/unarchive`**

  * endpoint added
</Update>
